#include "flashlib.h"
#include "strataflash.h"

extern char __flash_base;
extern char __flash_size;

flash_alg_info_t flash_alg_default_data={
	.check_id=strataflash_check_id_x16,
	.prog=strataflash_prog_x16,
	.erase=strataflash_erase_x16,

	.start=(flash_addr_t)&__flash_base,
	.size=(flash_addr_t)&__flash_size,
	.sec_size=FLASH_BLOCK_SIZE, /*0x20000*/
};

flash_alg_info_t *flash_alg_default=&flash_alg_default_data;
