/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Copyright (C) 2002 Motorola Semiconductors HK Ltd
 *
 */

#ifndef USB_P_PTT_INC
#define USB_P_PTT_INC

#include "types.h"

/* external API from Device Manager */
//extern STATUS _DevInstall(DEVICE *pDevice);

/* external API from HAL */
//extern STATUS _HalAttachIsr(U8, P_VOID, U32);
//extern STATUS _HalDetachIsr(U8 IntSourceNum);

/* external API from DMA manager */
//extern CHAN_NUM _DmaRequestChannel(U8 type, U8 source, P_DMA_REQ pReq);
//extern void 	_DmaReleaseChannel(CHAN_NUM channelNum);
//extern STATUS   _DmaConfigChannel(CHAN_NUM channelNum, P_DMA_CONFIG pConfig);
//extern STATUS   _DmaStartTransfer(CHAN_NUM channelNum, P_VOID source, P_VOID dest, U32 byteCount, U8 mode);

/* internal API */
/*
extern STATUS _UsbInit(void);
extern STATUS _UsbOpen(void *pOpenParams);
extern STATUS _UsbRead(void* pBuf, U32 dataSize, P_U32 dataRead);
extern STATUS _UsbWrite(void* pBuf, U32 dataSize, P_U32 dataWrite );
extern STATUS _UsbIoctl( U16  key, void*  pArg , P_U32   pSize);
extern STATUS _UsbClose(void);
extern STATUS _UsbTerm( void );

extern void _iUsbHandleDevReq(void);
extern void _iUsbProcessCommand(void);
extern void _iUsbProcessDataFromHost(void);
extern void _iUsbProcessDataToHost(void);
extern void _iUsbReadSector(void);
extern void _iUsbWriteSector(void);
void mx_usb_reset();
*/

extern void usb_interrupt(int irq, void *dev_id, struct pt_regs *regs);
extern void ep0_interrupt(int irq, void *dev_id, struct pt_regs *regs);
extern void ep1_interrupt(int irq, void *dev_id, struct pt_regs *regs);
extern void ep2_interrupt(int irq, void *dev_id, struct pt_regs *regs);

extern void _iUsbHandleDevReq(void);

#endif
