/*******************************************************************
  Components for embedded applications builded for
  laboratory and medical instruments firmware  
 
  crt0.S - C application startup code
 
  Copyright (C) 2001-2003 by Pavel Pisa pisa@cmp.felk.cvut.cz
            (C) 2001-2003 by PiKRON Ltd. http://www.pikron.com

 *******************************************************************/

.text
.code 32

.global _crt_start
.global _exit

_crt_start :
	ldr	a1, .LC_sp_top
	cmp	a1, #0
	beq     1f
	mov	sp,a1
1:
	ldr	a1, .LC_data_s
	ldr 	a2, .LC_data_l
	ldr	a3, .LC_data_e
	cmp	a2, a1
	beq	5f
	cmp	a3, a1
	beq	5f
4:	ldrb	a4, [a2], #1
	strb	a4, [a1], #1	/* transfer data from lma to vma */
	cmp	a3, a1
	bne	4b
5:

	mov 	a2, #0
	ldr	a1, .LC_bss_s
	ldr	a3, .LC_bss_e
	cmp	a3, a1
	beq	7f
6:	strb	a2, [a1], #1	/* clear bss */
	cmp	a3, a1
	bne	6b
7:

	bl	main
	bl	exit
8:
	b	8b

.LC0:
	.word	0
.LC_bss_s:
	.word	__bss_start
.LC_bss_e:
	.word	__bss_end
.LC_data_s:
	.word	__data_start
.LC_data_e:
	.word	edata
.LC_data_l:
	.word	__data_lma
.LC_sp_top:
	.word	__stack_top


.end
